Subject: Building static libraries with LT_INIT([disable-static])

From: Дилян Палаузов<[email-masked]>
Date: Mon, 07 May 2012 12:11:44 +0200

Hello,

the documentation of libtool 2.4.2 states, that libtool can build both 
shared and static libraries, only static or only shared libraries. 
Moreover it states, that on some platforms only static libraries are 
supported.

I want to build a library, that is only-shared on platforms, where 
shared libraries are supported, and static otherwise.

To what I understood, using LT_INIT([disable-static]) on platforms that 
support only static libraries, neither static libraries will be built 
(caused by disable-static), nor shared (cause the platform does not 
support shared libraries).  So at the end no form of library will be built.

Is it possible to fix option disable-static to build static libraries on 
platforms, where only static libraries are supported (or, if this is 
currently the case, update the documentation of libtool to reflect this)?

Kind regards
   Дилян